Subject: RE: [ANNOUNCE] Git v2.50.0-rc1 - Test Failed

From: <[email-masked]>
Date: Tue, 3 Jun 2025 18:45:24 -0400

On June 3, 2025 6:33 PM, I wrote:
>To: 'Junio C Hamano' <[email-masked]>; [email-masked]
>Subject: RE: [ANNOUNCE] Git v2.50.0-rc1 - Test Failed
>
>On June 3, 2025 1:03 PM, Junio C Hamano wrote:
>>A release candidate Git v2.50.0-rc1 is now available for testing at the
>>usual places.  It is comprised of 592 non-merge commits since v2.49.0,
>>contributed by 84 people, 33 of which are new faces [*].
>>
>>The tarballs are found at:
>>
>>    https://www.kernel.org/pub/software/scm/git/testing/
>>
>>The following public repositories all have a copy of the 'v2.50.0-rc1'
>>tag and the 'master' branch that the tag points at:
>>
>>  url = https://git.kernel.org/pub/scm/git/git
>>  url = https://kernel.googlesource.com/pub/scm/git/git
>>  url = git://repo.or.cz/alt-git.git
>>  url = https://github.com/gitster/git
>
>I hit a new issue during the test phase.
>
>Makefile:200: recipe for target 'lib/tclIndex' failed
>
>Is there any way to suppress this? I don't think we need TCL - don't have it anyway
>on NonStop.

More info:

The actual more complete error is:

/usr/coreutils/bin/bash generate-git-gui.sh "git-gui.sh" "git-gui" ./GIT-GUI-BUILD-OPTIONS ./GIT-VERSION-FILE
/usr/coreutils/bin/bash generate-tclindex.sh . ./GIT-GUI-BUILD-OPTIONS 
usage: generate-tclindex.sh <BUILD_DIR> <BUILD_OPTIONS> <LIBFILE> [<LIBFILE>...]
Makefile:200: recipe for target 'lib/tclIndex' failed

This seems like a legit problem to be fixed rather than ignored.

Regards,
Randall